> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/rest-api/files/createsignedurl.md).

# createSignedUrl

## Overview

This method can be used for generating a signed URL for a file, allowing anyone with the URL to download the file as if they were logged in to your account. This can be useful if you've created a website where users are accessing Redivis through a proxy, where you want them to be able to download certain files without being logged in to Redivis.&#x20;

{% hint style="danger" %}
Note that signed URLs can provide unauthenticated access to potentially restricted resources, and care should be taken such that they are only provided to their intended recipients.&#x20;

This endpoint is only intended for advanced use cases, where the security implications of signed URLs are fully understood.
{% endhint %}

## HTTP Request

```http
POST /api/v1/rawFiles/:fileId/signedUrl
```

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md)
{% endhint %}

## Request body

Provide a JSON object with information about the dataset.

| Property name | Type       | Description                                                                                              |
| ------------- | ---------- | -------------------------------------------------------------------------------------------------------- |
| **duration**  | **number** | **Required.** The duration, in seconds, for which the signed URL is valid. Cannot exceed 86,400 (1 day). |

## Authorization

Data access to the underlying file is required. If a file is not public, your access token must have one of the following scopes:

* data.data
* data.edit

[Learn more about authorization.](/api/rest-api/authorization.md)

## Response body

Returns a signed URL (as text) that you can use to download the file from an unauthenticated context. E.g.:

```
https://redivis.com/api/v1/rawFiles/av6k-679w7swaw.5WpGkDlIcXiojRwXzfMLHQ?token=...
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.redivis.com/api/rest-api/files/createsignedurl.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
